> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create attribute



## OpenAPI

````yaml /api-reference/openapi.json post /attributes
openapi: 3.1.0
info:
  title: Heyy API
  version: 2.0.0
servers:
  - url: https://api.heyy.io/api/v2.0
security:
  - bearerAuth: []
paths:
  /attributes:
    post:
      summary: Create attribute
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type:
                    - string
                    - 'null'
                externalId:
                  type: string
                  pattern: ^[A-Za-z][A-Za-z0-9_]*$
                isVisibleQuickEdit:
                  type: boolean
                isVisibleContactsTable:
                  type: boolean
                isVisibleContactCreate:
                  type: boolean
              required:
                - name
                - externalId
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      type:
                        type: string
                      externalId:
                        type: string
                      isVisibleQuickEdit:
                        type: boolean
                      isVisibleContactsTable:
                        type: boolean
                      isVisibleContactCreate:
                        type: boolean
                      description:
                        type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                    required:
                      - id
                      - name
                      - type
                      - isVisibleQuickEdit
                      - isVisibleContactsTable
                      - isVisibleContactCreate
                      - createdAt
                      - updatedAt
                required:
                  - data
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````